# unitcell

Utility package to work and operate on periodic lattices and crystal structures

## About

`unitcell` is a utility package to work and operate on periodic lattices and
crystal structures.
It was developed in 2008 by Angel Yanguas-Gil as a helper
tool, and it has been recently updated to work with Python 3.0
and higher.

`unitcell` it is not intended to be a full-fledged crystallographic
package. For instance, it does not support CIF files. Its main purpose is to 
generate and operate in arbitrary lattice, to carry out common tasks such as:

- Create periodic lattices and export them as XYZ files for visualization.
- Customize the visible points to visualize features such as steps or vacancies.
- Compute pair distribution functions for each site and extract
  neightbor lists.
- Compute crystallographic directions and crystal plane orientations.
- Generate graph structures for kinetic Monte Carlo simulations.

## Status

`unitcell` is still in development and in process of being updated after a few
years in a drawer.

`unitcell` is licensed through the BSD licence.

